# class toResultItem

Display the first row of a query with each column with a separate label. More...

Definition | `#include <toresultitem.h>`
Inherits | QScrollView (qt) [public ], toResult [public ]
Inherited by | resultColsEdit, toResultResources
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultItem (int num,bool readable,QWidget *parent,const char *name=NULL)
- toResultItem (int num,QWidget *parent,const char *name=NULL)
- ~toResultItem (void)
- void showTitle (bool val)
- void alignRight (bool val)
- void dataFont (const QFont &val)
- virtual QWidget * createTitle (QWidget *parent)
- virtual QWidget * createValue (QWidget *parent)
- virtual void setTitle (QWidget *widget,const QString &title,const QString &value)
- virtual void setValue (QWidget *widget,const QString &title,const QString &value)
- virtual void query (const QString &sql,const toQList ¶m)
- virtual bool canHandle (toConnection &)
- void setSQL (const QString &sql)
- void setSQL (const toSQL &sql)
- void query (const QString &sql)
- void query (const toSQL &sql)
- void query (const toSQL &sql,toQList &par)

#### Public Slots

- virtual void refresh (void)
- virtual void changeParams (const QString &Param1)
- virtual void changeParams (const QString &Param1,const QString &Param2)
- virtual void changeParams (const QString &Param1,const QString &Param2,const QString &Param3)

#### Protected Methods

- void start (void)
- void addItem (const QString &title,const QString &value)
- void done (void)
- virtual void resizeEvent (QResizeEvent *e)

## Detailed Description

Display the first row of a query with each column with a separate label. If the label of the item is a single '-' character the data is treated as a horizontal label (Not bold or sunken), and the label is not printed.

void start (void)

### start

[protected]

Start new query, hide all widgets.

void addItem (const QString &title,const QString &value)

### addItem

[protected]

Add a new widget.

Parameters:

title | Title of this value.
value | Value.

void done (void)

### done

[protected]

Done with adding queries.

void resizeEvent (QResizeEvent *e)

### resizeEvent

[protected virtual]

Reimplemented for internal reasons.

toResultItem (int num,bool readable,QWidget *parent,const char *name=NULL)

### toResultItem

Create widget.

Parameters:

num | Number of columns to arrange data in.
readable | Indicate if columns are to be made more readable. This means that the descriptions are capitalised and '_' are converted to ' '.
parent | Parent of list.
name | Name of widget.

toResultItem (int num,QWidget *parent,const char *name=NULL)

### toResultItem

Create widget. Readable columns by default.

Parameters:

num | Number of columns to arrange data in.
parent | Parent of list.
name | Name of widget.

~toResultItem (void)

### ~toResultItem

Destroy object

void showTitle (bool val)

### showTitle

Set if titles are to be shown.

Parameters:

val | If titles are to be shown.

void alignRight (bool val)

### alignRight

Set if labels are to be aligned right.

Parameters:

val | If labels are to be aligned right.

void dataFont (const QFont &val)

### dataFont

Set the font to display data with.

QWidget * createTitle (QWidget *parent)

### createTitle

[virtual]

Create title widget.

Parameters:

parent | Parent of widget.

Returns: Title widget created.

QWidget * createValue (QWidget *parent)

### createValue

[virtual]

Create value widget.

Parameters:

parent | Parent of widget.

Returns: Title widget created.

void setTitle (QWidget *widget,const QString &title,const QString &value)

### setTitle

[virtual]

Set value of title widget.

Parameters:

widget | Widget to use for title.
title | The title of the new widget pair.
value | Vaue of new title widget.

void setValue (QWidget *widget,const QString &title,const QString &value)

### setValue

[virtual]

Set value of value widget.

Parameters:

widget | Widget to use for value.
title | The title of the new widget pair.
value | Vaue of new title widget.

void query (const QString &sql,const toQList ¶m)

### query

[virtual]

Reimplemented for internal reasons.

Reimplemented from toResult.

bool canHandle (toConnection &)

### canHandle

[virtual]

Handle any connection

Reimplemented from toResult.

void setSQL (const QString &sql)

### setSQL

Set the SQL statement of this list

Parameters:

sql | String containing statement.

Reimplemented from toResult.

void setSQL (const toSQL &sql)

### setSQL

Set the SQL statement of this list. This will also affect Name.

Parameters:

sql | SQL containing statement.

Reimplemented from toResult.

void query (const QString &sql)

### query

Set new SQL and run query.

Parameters:

sql | New sql.

See also: setSQL

Reimplemented from toResult.

void query (const toSQL &sql)

### query

Set new SQL and run query.

Parameters:

sql | New sql.

See also: setSQL

Reimplemented from toResult.

void query (const toSQL &sql,toQList &par)

### query

Set new SQL and run query.

Parameters:

sql | New sql.

See also: setSQL

Reimplemented from toResult.

void refresh (void)

### refresh

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1)

### changeParams

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1,const QString &Param2)

### changeParams

[virtual slot]

Reimplemented For internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1,const QString &Param2,const QString &Param3)

### changeParams

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.